List Links
curl --request POST \
--url https://api.example.com/links/list \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "<string>",
"externalId": "<string>"
}
'{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"targetUrl": "<string>",
"organizationId": "<string>",
"createdBy": "<string>",
"expiresAt": {},
"ogTitle": {},
"externalId": {},
"createdAt": "<string>",
"updatedAt": "<string>"
}Links API
List Links
Returns all short links for an organization
POST
/
links
/
list
List Links
curl --request POST \
--url https://api.example.com/links/list \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "<string>",
"externalId": "<string>"
}
'{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"targetUrl": "<string>",
"organizationId": "<string>",
"createdBy": "<string>",
"expiresAt": {},
"ogTitle": {},
"externalId": {},
"createdAt": "<string>",
"updatedAt": "<string>"
}Authentication
Requires API key withread:links scope.
Request Body
Organization ID to list links for
Filter by external identifier
Response
Returns an array of link objects, ordered by creation date (newest first).Link identifier
URL slug
Display name
Destination URL
Parent organization
User who created the link
Expiration timestamp
Open Graph title
Your external identifier
Creation timestamp
Last update timestamp
Example Request
curl -X POST https://api.databuddy.cc/links/list \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"organizationId": "org_abc123"
}'
Example Response
[
{
"id": "lnk_xyz123",
"slug": "launch",
"name": "Product Launch",
"targetUrl": "https://example.com/products/new",
"organizationId": "org_abc123",
"createdBy": "usr_456",
"expiresAt": null,
"expiredRedirectUrl": null,
"ogTitle": "Check out our new product!",
"ogDescription": "The best product launch of 2024",
"ogImageUrl": "https://example.com/og-image.png",
"ogVideoUrl": null,
"iosUrl": null,
"androidUrl": null,
"externalId": null,
"deletedAt": null,
"createdAt": "2024-03-01T17:00:00Z",
"updatedAt": "2024-03-01T17:00:00Z"
}
]
⌘I